<?
//
//
#Параметры силы, защиты, здоровья, опыта
//
//
$color = array('1' => '#32cd32', '2' => '#a335ee', '3' => '#ff8000', '4' => '#05CCFF', '5' => '#f5270d', '6' => '#f5679e');
//
//
function power($id){
$user = DB::$dbs->queryFetch('SELECT * FROM `users` WHERE `id` = ? LIMIT 1', [$id]);
//
//
$param_otvar = array('','35','70','140','280','560');
$param_swit = array('','250');
//
//
$param = '0';
$param1 = '0';
//
//
if($user['otvar_power'] > time()){ //бонусы колдуна
$param = $param_otvar[$user['otvar_power_type']];
}
//
//
if($user['swit_power'] > time()){ //свитки 
$param1 = $param_swit[$user['swit_power_type']];
}
//
//
if($user['yad'] < time()){
$end = $user['power']+$param+$param1;
}else{
$end = 10;
}
return $end;
}
//
//
function hp($id){
$user = DB::$dbs->queryFetch('SELECT * FROM `users` WHERE `id` = ? LIMIT 1', [$id]);
//
//
$param_otvar = array('','35','70','140','280','560');
$param_swit = array('','250');
//
//
$param = '0';
$param1 = '0';
//
//
if($user['otvar_hp'] > time()){ //бонусы колдуна
$param = $param_otvar[$user['otvar_hp_type']];
}
//
//
if($user['swit_hp'] > time()){ //свитки 
$param1 = $param_swit[$user['swit_hp_type']];
}
//
//
if($user['yad'] < time()){
$end = $user['hp']+$param+$param1;
}else{
$end = 10;
}
return $end;
}
//
//
function def($id){
$user = DB::$dbs->queryFetch('SELECT * FROM `users` WHERE `id` = ? LIMIT 1', [$id]);
//
//
$param_otvar = array('','35','70','140','280','560');
$param_swit = array('','250');
//
//
$param = '0';
$param1 = '0';
//
//
if($user['otvar_def'] > time()){ //бонусы колдуна
$param = $param_otvar[$user['otvar_def_type']];
}
//
//
if($user['swit_def'] > time()){ //свитки 
$param1 = $param_swit[$user['swit_def_type']];
}
//
//
if($user['yad'] < time()){
$end = $user['def']+$param+$param1;
}else{
$end = 10;
}
return $end;
}
//
//
function exp_silver($coll){
global $user;
//
//
$param_otvar = array('','20%','40%','60%','80%','100%');
$param_swit = array('','50%');
$param_premium = array('','30%','60%','100%');
$liga_bonus = array('','0%','10%','15%','20%','25%');
//
//
$otv_exp1 = $param_otvar[$user['otvar_exp_type']];
if($user['otvar_exp'] > time())$otv_exp = $coll*$otv_exp1/100; else $otv_exp = 0;
//
//
$swt_exp1 = $param_swit[$user['swit_exp_type']];
if($user['swit_exp'] > time())$swt_exp = $coll*$swt_exp1/100; else $swt_exp = 0;
//
//
$prm_exp1 = $param_premium[$user['premium_type']];
if($user['premium'] > time())$prm_exp = $coll*$prm_exp1/100; else $prm_exp = 0;
//
//
$lig_exp1 = $liga_bonus[$user['liga_type']];
$lig_exp = $coll*$lig_exp1/100;
//
//

$end = intval($coll+$otv_exp+$swt_exp+$prm_exp+$lig_exp);

return $end;
}
//
//
function user_info($users){ 
$user = DB::$dbs->queryFetch('SELECT * FROM `users` WHERE `id` = ? LIMIT 1', [$users]);
//
//
$list = '
<a href="/profile/'.$user['id'].'">
<img src = "/css/img/gender_'.$user['gender'].'.png" width="16" height="16">
<font color="#999999">
'.$user['name'].'
</font>
</a>'; 
//
//
return $list; 
} 
//
//
function user_mail($users){ 
$user = DB::$dbs->queryFetch('SELECT * FROM `users` WHERE `id` = ? LIMIT 1', [$users]);
//
//
$list = '
<img src = "/css/img/gender_'.$user['gender'].'.png" width="16" height="16">
<font color="#999999">
'.$user['name'].'
</font>
'; 
//
//
return $list; 
} 
//
//
function user_chat($users){ 
$user = DB::$dbs->queryFetch('SELECT * FROM `users` WHERE `id` = ? LIMIT 1', [$users]);
//
//
$list = ''.$user['name'].','; 
//
//
return $list; 
} 
//
//
?>